%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-File-Copy-Recursive
Version:       0.45
Release:       1mamba
Summary:       File::Copy::Recursive - Perl extension for recursively copying files and directories
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/D/DM/DMUEY/File-Copy-Recursive-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl(Test::More)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl-devel
BuildRequires: perl-Test-File
BuildRequires: perl-Path-Tiny
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This module copies and moves directories recursively (or single files, well... singley) to
an optional depth and attempts to preserve each file or directory's mode.

%prep
%setup -q -n File-Copy-Recursive-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorlib}/File/*
%{_mandir}/man3/*.3pm.gz
%doc Changes README

%changelog
* Sat Feb 01 2020 Automatic Build System <autodist@mambasoft.it> 0.45-1mamba
- automatic update by autodist

* Mon Feb 21 2011 gil <puntogil@libero.it> 0.38-1mamba
- package created by autospec
